Wallets on the Board
curl --request GET \
--url https://codex-api.nomos.trade/v1/leaderboard/wallets \
--header 'Authorization: Bearer <token>'import requests
url = "https://codex-api.nomos.trade/v1/leaderboard/wallets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://codex-api.nomos.trade/v1/leaderboard/wallets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"block": 94812300,
"asOf": 1790862180,
"period": "all",
"category": "global",
"rows": [
{
"wallet": "0x1f0ebc543b2d411f66947041625c0aa1ce61cf79",
"category": "global",
"totalPnl": 2841033.12,
"realizedPnl": 2790210.44,
"unrealizedPnl": 50822.68,
"capital": 18320511.9,
"roi": 0.1551,
"volume": 39811240.33,
"buyVolume": 20114002.1,
"sellVolume": 19697238.23,
"shareVolume": 61210455.2,
"fees": 18322.4,
"fills": 48211,
"marketsTraded": 1822,
"marketsDecided": 1790,
"marketsWon": 1011,
"marketsLost": 761,
"winRate": 0.5705,
"profitFactor": 1.62,
"profitFactorInfinite": false,
"winsUsd": 7290211.5,
"lossesUsd": -4500001.06,
"avgWin": 7210.89,
"avgLoss": -5913.27,
"best": {
"pnl": 412880.5,
"conditionId": "0x8db33416a2d1ebde7438c80129e898f89a5deb3852ca64b37c4bf46513204409",
"question": "US announces end of Iranian blockade by March 31, 2027?",
"slug": "us-announces-end-of-iranian-blockade-by-march-31-2027",
"eventSlug": "us-announces-end-of-iranian-blockade",
"image": "https://polymarket-upload.s3.us-east-2.amazonaws.com/example.png"
},
"worst": {
"pnl": -188004.2,
"conditionId": "0x2c5e0f3a9b81d47e6c05f2a1b3d4e5f60718293a4b5c6d7e8f90a1b2c3d4e5f6",
"question": "Example market",
"slug": "example",
"eventSlug": "example",
"image": null
},
"avgHoldSeconds": 1209600,
"redemptions": 902,
"firstActivityAt": 1667001600,
"lastActivityAt": 1790862117,
"open": {
"count": 31,
"value": 402118.2,
"cost": 351295.52
},
"approxMarkets": 4,
"updatedAt": 1790862180
}
]
}{
"error": "unknown or revoked API key"
}{
"error": "rate limit: 600 requests a minute; retry in 1 s"
}Leaderboard
Wallets on the Board
The board rows of the wallets you name, in your order: a watchlist. Wallets with no row in that category are left out.
GET
/
v1
/
leaderboard
/
wallets
Wallets on the Board
curl --request GET \
--url https://codex-api.nomos.trade/v1/leaderboard/wallets \
--header 'Authorization: Bearer <token>'import requests
url = "https://codex-api.nomos.trade/v1/leaderboard/wallets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://codex-api.nomos.trade/v1/leaderboard/wallets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"block": 94812300,
"asOf": 1790862180,
"period": "all",
"category": "global",
"rows": [
{
"wallet": "0x1f0ebc543b2d411f66947041625c0aa1ce61cf79",
"category": "global",
"totalPnl": 2841033.12,
"realizedPnl": 2790210.44,
"unrealizedPnl": 50822.68,
"capital": 18320511.9,
"roi": 0.1551,
"volume": 39811240.33,
"buyVolume": 20114002.1,
"sellVolume": 19697238.23,
"shareVolume": 61210455.2,
"fees": 18322.4,
"fills": 48211,
"marketsTraded": 1822,
"marketsDecided": 1790,
"marketsWon": 1011,
"marketsLost": 761,
"winRate": 0.5705,
"profitFactor": 1.62,
"profitFactorInfinite": false,
"winsUsd": 7290211.5,
"lossesUsd": -4500001.06,
"avgWin": 7210.89,
"avgLoss": -5913.27,
"best": {
"pnl": 412880.5,
"conditionId": "0x8db33416a2d1ebde7438c80129e898f89a5deb3852ca64b37c4bf46513204409",
"question": "US announces end of Iranian blockade by March 31, 2027?",
"slug": "us-announces-end-of-iranian-blockade-by-march-31-2027",
"eventSlug": "us-announces-end-of-iranian-blockade",
"image": "https://polymarket-upload.s3.us-east-2.amazonaws.com/example.png"
},
"worst": {
"pnl": -188004.2,
"conditionId": "0x2c5e0f3a9b81d47e6c05f2a1b3d4e5f60718293a4b5c6d7e8f90a1b2c3d4e5f6",
"question": "Example market",
"slug": "example",
"eventSlug": "example",
"image": null
},
"avgHoldSeconds": 1209600,
"redemptions": 902,
"firstActivityAt": 1667001600,
"lastActivityAt": 1790862117,
"open": {
"count": 31,
"value": 402118.2,
"cost": 351295.52
},
"approxMarkets": 4,
"updatedAt": 1790862180
}
]
}{
"error": "unknown or revoked API key"
}{
"error": "rate limit: 600 requests a minute; retry in 1 s"
}Authorizations
Your API key: codex_ and 48 hex characters.
Query Parameters
Up to 200 wallets, comma separated. Malformed entries are skipped.
Available options:
all global, Other, or Politics, Sports, Crypto, Finance, Culture, Mentions, Weather, Economics, Tech (any case).